import {AnalyticalScope, Behavior, TextBase, Visible} from "@webbpm/base-package";

@AnalyticalScope(TextBase)
export class TextInitialValue extends Behavior {
  @Visible()
  public setInitialValue(value: string): void {
    const textScript = this.getScript(TextBase);
    textScript.initialValue = value;
  }
}
